-- LOAD: Add the ability to resume task progress on load

oldEnhanceTask = EnhanceTask
EnhanceTask = Class(oldEnhanceTask) {
	OnCreate = function(self,commandData)
		-- record the commanddata in the unit so its easier for save to get at
		self:GetUnit().commandData = commandData
		oldEnhanceTask.OnCreate(self,commandData)
	end,
    
	Enhancing = State {
		OnEnterState = function(self)
			local unit = self:GetUnit()
			-- See if we are resuming from a save game
			if unit.saveProgress then
				LOG(string.format('LOAD: Unit %s resuming enhancement progress from %.3f',unit.unitLabel,unit.saveProgress))
				-- update the progress
				unit.WorkProgress = unit.saveProgress
				-- clear saveProgress so this once runs once
				unit.saveProgress = nil
			end
		end,

		TaskTick = oldEnhanceTask.Enhancing.TaskTick,
	},
}