oldDefaultProjectileWeapon = DefaultProjectileWeapon
DefaultProjectileWeapon = Class(oldDefaultProjectileWeapon) {

	IsNuke = function(self)
		return EntityCategoryContains(categories.NUKE, self.unit)
	end,

	RestoreSavedProgress = function(self)
		local unit = self.unit
		while unit.saveProgress do
			--LOG(unit:GetWorkProgress())
			if unit:GetWorkProgress() < unit.saveProgress then
				self.unit.WorkProgress = math.min(unit:GetWorkProgress() + unit.saveProgress,1.0)
			end
			WaitSeconds(0.0)
		end
	end,
				
	OnCreate = function(self)
		
		oldDefaultProjectileWeapon.OnCreate(self)
		self.unit.saveProgress = 0.97
	end,
    
	IdleState = State {
	
		StartEconomyDrain = function(self)
			if self:IsNuke() then
				LOG('StartEconomyDrain')
				dumpkeys(self)
			end
		end,
	
		OnEnterState = function(self)
			if self:IsNuke() then
				self:ForkThread(self.RestoreSavedProgress)
			end
		end,
		
		Main = function(self)
			oldDefaultProjectileWeapon.IdleState.Main(self)
		end,
	},
}